Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.impl
Class XbrlApiFactory

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.impl.XbrlApiFactory

    public abstract class XbrlApiFactory

extends java.lang.Object

Factoria de objetos necesarios para trabajar con API XBRL, permitiendo desacoplar el uso de la misma. Estos objetos estarán constituidos por la Facade necesaria para acceder a una instancia XBRL y los objetos necesarios para realizar el intercambio de información entre la API ENLOC y la API XBRL en la que se basa.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`XbrlApiFactory()`

Method Summary
`static IXbrlContext` | `createContext()`
`static IXbrlFact` | `createFact()`
`static IXbrlInstance` | `createInstance()`
`static IXbrlFact` | `createTuple()`
`static IXbrlUnit` | `createUnit()`
`static IXbrlApiFacade` | `get_instance()`
`static IXbrlInstance` | `XbrlInstance(java.lang.Object instance, java.lang.Object dts)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XbrlApiFactory

    public XbrlApiFactory()

Method Detail

### get_instance

    public static IXbrlApiFacade get_instance()

  Returns:
    Instancia de la Facade con la que trabajará la aplicación.

### createFact

    public static IXbrlFact createFact()

  Returns:
    Devuelve un objeto envolvente de un Fact XBRL.

### createTuple

    public static IXbrlFact createTuple()

  Returns:
    Devuelve un objeto envolvente de una tupla XBRL.

### createUnit

    public static IXbrlUnit createUnit()

  Returns:
    Devuelve un objeto envolvente de un Unit XBRL.

### createInstance

    public static IXbrlInstance createInstance()

  Returns:
    Devuelve un objeto envolvente de una instancia y un DTS XBRL sin inicializar.

### XbrlInstance

    public static IXbrlInstance XbrlInstance(java.lang.Object instance,
                                             java.lang.Object dts)

  Parameters:
    `instance` - referencia a una instancia XBRL
    `dts` - referencia al DTS correspondiente a instance
  Returns:
    Devuelve un objeto envolvente de una instancia y un DTS inicialiado.

### createContext

    public static IXbrlContext createContext()

  Returns:
    Devuelve una instancia de un objeto envolvente de un contexto XBRL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD